<template>
  <div class="tabs is-medium is-centered">
    <ul>
      <li
        v-for="(category, index) in categories"
        :key="category.id"
        :class="{ 'is-active': index === 0 }"
        ref="categoriesList">
        <a @click="displayChosenCategoryContent(category, $event)">{{ category }}</a>
      </li>
    </ul>
  </div>
</template>

<script>
export default {
  name: 'CategoryTabs',
  props: ['categories'],
  methods: {
    displayChosenCategoryContent(category, element) {
      this.markAsCurrentChosen(element);
      this.$emit('chosenCategory', category);
    },
    markAsCurrentChosen(element) {
      const parentNode = element.target.parentNode;
      const categoriesList = this.$refs.categoriesList;
      for (let i = 0; i < categoriesList.length; i += 1) {
        if (categoriesList[i].classList.contains('is-active')) {
          categoriesList[i].classList.remove('is-active');
        }
      }
      parentNode.classList.add('is-active');
    },
  },
};
</script>

<style scoped>

</style>
